ranges::index_fn Struct Reference
Range

## Description

Unchecked indexed range access.

## Public Member Functions

template<typename Rng , typename Int >
constexpr auto | operator() (Rng &&rng, Int n) const -> range_reference_t< Rng > requires random_access_range< Rng > &&integral< Int > &&forwarding_range_< Rng >

## Member Function Documentation

## operator()()

template<typename Rng , typename Int >

constexpr auto ranges::index_fn::operator() | ( | Rng && | rng,
|  | Int | n
| ) |  | const -> range_reference_t<Rng> requires random_access_range<Rng> && integral<Int> && forwarding_range_<Rng>

Returns
  `begin(rng)[n]`